module.exports = app => {
  const notification = require("../controllers/notification.controller.js");
  var router = require("express").Router();
  router.post("/add", notification.add);
  router.post("/get_setting", notification.get_setting);
  router.post("/markread_popup_notification", notification.markread_popup_notification);
  router.post("/notification_all", notification.notification_all);
  router.post("/popup_notification", notification.popup_notification);
  router.post("/save_setting", notification.save_setting);
  router.post("/add_certificate", notification.add_certificate);
  router.post("/all_failed_emails", notification.all_failed_emails);
  router.post("/all_success_emails", notification.all_success_emails);
  router.post("/delete", notification.delete);
  router.post("/delete_failed_emails", notification.delete_failed_emails);
  router.post("/update_certificate", notification.update_certificate);
  router.post("/alluserforcohortadd", notification.alluserforcohortadd);
  app.use('/notification', router);
};
